@import url('https://fonts.googleapis.com/css2?family=Jost:ital,wght@0,100..900;1,100..900&display=swap'); 
@import url('https://fonts.googleapis.com/css2?family=Lexend:wght@100..900&display=swap');
:root {
  --maxred: #B20000;
}
html {
    font-size: 15px;
    background-color: black;
}
body {
    background-color: white;
}
h1 {
    font-family: Jost, sans-serif;
    font-weight: 800;
    font-size: 5rem;
    margin: auto;
}
h2 {
    font-family: Jost, sans-serif;
    font-weight: 800;
    font-size: 4rem;
    margin: auto;
}
h3 {
    font-family: jost, sans-serif;
    font-weight: normal;
    font-size: 4rem;
    margin: auto;
}
h4 {
    font-family: Jost, sans-serif;
    font-weight: 800;
    font-size: 3rem;
    margin: auto;
}
h5 {
    font-family: jost, sans-serif;
    font-weight: normal;
    font-size: 2.5rem;
    margin: auto;
}
h6 {
    font-family: jost, sans-serif;
    font-weight: 800;
    font-size: 2rem;
    margin: auto;
}
p {
    font-family: jost, sans-serif;
    font-weight: 400;
    font-size: 1.75rem;
}
section {
    margin: 1.5rem;
}
.btn {
    font-family: jost, sans-serif;
    background-color: black;
    color: white;
    border-radius: 1rem;
    padding: 1rem 1.5rem;
    width: fit-content;
    height: fit-content;
    font-weight: 800;
    display: block;
}
.btn:hover {
    background-color: grey;
}
.grow {
    flex-grow: 1;
}
a {
    color: black;
    text-decoration: none;
}
.thumbnail img {
    width: 100%;
    height: 100%;
    overflow: hidden;
    object-fit: cover; 
    background-color: grey;
}

/* ------------ NAVIGATION ------------ */
nav {
    display: flex;
    flex-direction: row;
    border-bottom: solid 2px black;
    margin-bottom: 3rem;
    align-items: center;
}
nav .logo {
    width: 50rem;
    background-image: url(media/copy-all/logo-logotype.svg);
    background-repeat: no-repeat;
    margin: 1rem;
    padding: 1.5rem;
}
nav .btn {
    border-radius: 0;
    background-color: white;
    color: black;
    padding: 1.8rem;
}
nav .btn:hover {
    background-color: black;
    color: white;
}


/* -------------- HOME -------------- */
.header {
    text-align: center;
    margin: auto;
}
.triangle {
    border-left: 20px solid transparent; 
    border-right: 20px solid transparent; 
    border-top: 20px solid black;
    width: fit-content;
    margin: 1rem auto;
    animation-name: tri;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    position: relative;
}
.triangles {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: fit-content;
    align-items: center;
}
@keyframes tri {
  0%   {top: 8px;}
  50%  {top: 25px;}
  100% {top: 8px;}
}
.header h2 {
    color: var(--maxred);
    width: fit-content;
    overflow: hidden;
    border-right: .15em solid var(--maxred);
    white-space: nowrap;
    margin: 0 auto;
    animation: 
        typing 1.2s steps(20, end),
        blink-caret .75s step-end infinite;
}

@keyframes typing {
  from { width: 0 }
  to { width: 38% }
}

@keyframes blink-caret {
  from, to { border-color: transparent }
  50% { border-color: var(--maxred); }
}
.selected-works {
    display: flex;
    flex-direction: column;
}
.selected-works h2 {
    text-align: center;
    margin-bottom: -1rem;
}
.viewall {
    font-size: 1.5rem;
    font-family: jost, sans-serif;
    margin-right: 3rem;
    display: block;
    text-align: right;
}
.viewall:hover {
    color: var(--maxred);
}
.home-gallery {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1.5rem;
    border: solid 4px black;
    padding: 1.5rem;
    margin: 1.5rem;
}
.thumbnail img {
    aspect-ratio: 1.42 / 1;
}
.home-gallery .thumbnail:hover {
    opacity: 65%;
}
.likeit {
    display: flex;
    align-items: center;
    flex-direction: row;
    margin: 2rem 4rem;
    margin-top: 0;
}
.likeit .btn {
    font-size: 2rem
}

/* PROJECT PAGE */
.project h1 {
    text-align: center;
    margin-top: -2.6rem;
}
.project h6 {
    margin-bottom: -2.2rem;
}
.project p {
    margin-bottom: .9rem;
}
header {
    display: flex;
    flex-direction: row-reverse;
    aspect-ratio: 2.6 / 1;
    background-color: grey;
    margin-bottom: 2rem;
}
.projectbio {
    background-color: white;
    border: black 4px solid;
    padding: 1rem 1.8rem;
    margin: auto 4rem;
    width: fit-content;
    height: fit-content;
}
.info {
    border: 3.5px black solid;
    width: 50%;
    padding: 1rem 1.8rem;
    margin: 1rem auto;
}
.flex-row {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-evenly;
    width: 75%;
    justify-self: center;
    margin: 2rem;
    margin-bottom: -2rem;
}
.flex-row div {
    margin: 4rem;
}
.full-width {
    align-content: center;
    height: auto;
    aspect-ratio: 2.2 / 1;
    margin: -1rem auto;
    padding: 1rem 0;

}
.full-width img {
    object-fit: cover;
    object-position: center;
    aspect-ratio: 2.2 / 1;
    overflow: hidden;
    width: 100%;
    background-color: grey;
    margin: 0 auto;
}
.white{
    color: white;
    border-color: white;
}
.tall-imgs {
    display: flex;
    padding: 2rem;
}
.tall-imgs img  {
    aspect-ratio: 9 / 14;
    margin: auto 1rem;
    background-color: grey;
    object-fit: cover;
    object-position: center;
    width: 100%;
    overflow: hidden;
}
.minor-imgs {
    display: flex;
    justify-content: center;
}
.minor-imgs img {
    aspect-ratio: 3 / 3;
    object-fit: cover;
    object-position: center;
    overflow: hidden;
    width: 100%;
    background-color: grey;
    margin: 1rem;
}
/* -------------- PROJECTS -------------- */
.header {
    margin-top: -2rem;
    margin-bottom: 1.5rem;
} 
.smile {
    width: 6rem;
    margin: auto;
    padding-right: 3.2rem;
}
.project-gallery {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 1.5rem;
    border: solid 4px black;
    padding: 1.5rem;
}
.project-gallery .thumbnail img:hover {
    opacity: 65%;
}
.playground-banner .background {
    background-color: black;
    border: solid white 4px;
    padding: 2rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    outline: 4px solid black;
}
.playground-banner .left {
    color: white;
}
.playground-banner .left .btn {
    background-color: white;
    color: black;
    margin: 1rem;
    font-size: 2rem;
}
.playground-banner .left .btn:hover {
    background-color: #848484;
    color: white;
}
.playground-banner .right img {
    width: 100%;
}
.playground-banner .right {
    width: 30%;
}

/* ------------- INFO ------------- */
.aboutme {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    margin: 3rem;
}
.aboutme .left {
    width: 45%;
    flex-shrink: 0;
}
.aboutme img {
    width: 100%;
    overflow: hidden;
    object-fit: cover;
}
.blurb {
    text-align: left;
    border: 3px solid black;
    margin: 2rem;
    padding: 1.4rem 1.8rem;
}
.process {
    width: 70%;
}
/* 
--------RESUME BTN. to be added when
        I have an actual resume to show off---------
.aboutme .right .btn {
    justify-self: right;
    margin-right: 2rem;
    font-size: 1.5rem;
}  */

/* ------------ CONTACT------------ */
.contact {
    display: flex;
    justify-content: space-evenly;
    margin: 2rem;
}
.contact .left {
    width: 100%;
}
.contact .right {
    width: 50%;
    align-self: center;
}
.contact .right img {
    width: 55%;
    justify-self: right;
}
.contact .left .btn {
    margin: 2rem;
    font-size: 2rem;
}

/* ------------ FOOTER ------------ */
footer {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    background-color: black;
    color: white;
    padding: 2rem;
    padding-bottom: 0;
}
footer a {
    text-decoration: none;
    color: white;
}
footer a:hover {
    color: var(--maxred);
}
footer ul {
    list-style: none;
}
footer li{
    font-family: Jost;
    font-weight: 600;
    font-size: 1.25rem;
}
.footer-contact {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: jost, sans-serif;
    font-weight: 600;
}
.footer-contact .btn {
    color: black;
    background-color: white;
    margin: .5rem;
    padding: .5rem 1rem;
}
.footer-contact .btn:hover {
    background-color: #505050;
    color: white;
}
.footer2 {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}
.copyright {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: jost, sans-serif;
}
.copyright img {
    width: 4rem;
    margin: 1rem;
    margin-top: 2rem;
}
.copyright p {
    font-size: 1rem;
}